> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Sync

> Update an existing Sync for a Connected User

Use this endpoint to update an existing Sync. You can change:

* The credential bound to the Sync (`credentialId`) — useful when using [Multi-Account Authorization](/apis/api-reference/multi-account-authorization) and you need to explicitly bind a Sync to a different credential.
* How often Paragon checks for incremental changes (`incrementalAccumulatorFrequency`).

Provide any combination of these fields in the request body. The request must contain at least one field to update.

<Info>
  Updating only `incrementalAccumulatorFrequency` will not trigger a full re-sync. The new frequency takes effect on the next scheduled run.

  Updating `credentialId` to a different credential will start a periodic full sync to reconcile existing synced records with the records accessible in the new account.
</Info>


## OpenAPI

````yaml patch /api/syncs/{syncId}
openapi: 3.0.0
info:
  title: Paragon Sync API
  description: API for managing Syncs and permissions for Connected Users
  version: 1.0.0
servers:
  - url: https://sync.useparagon.com
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/syncs/{syncId}:
    patch:
      summary: Update a Sync
      description: Update an existing Sync for a Connected User
      parameters:
        - name: syncId
          in: path
          required: true
          schema:
            type: string
          description: ID of the sync to update
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              description: >-
                Provide at least one field to update. All fields are optional,
                but the request body must contain at least one updatable
                property.
              properties:
                credentialId:
                  type: string
                  description: >-
                    The ID of the credential to associate with this sync. Must
                    be a valid UUID.


                    Updating this field will trigger a full re-sync.
                incrementalAccumulatorFrequency:
                  type: string
                  enum:
                    - 1m
                    - 5m
                    - 10m
                    - 30m
                    - 1h
                    - 3h
                    - 6h
                    - 24h
                  description: >-
                    Update how often Paragon checks for incremental changes for
                    this sync.


                    Updating only this field will not trigger a full re-sync.
                    The new frequency takes effect on the next scheduled run.
                  example: 1m
      responses:
        '200':
          description: Sync successfully updated
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                  - data
                  - message
                properties:
                  id:
                    type: string
                    description: ID of the updated sync
                  data:
                    type: object
                    properties:
                      credentialId:
                        type: string
                      incrementalAccumulatorFrequency:
                        type: string
                  message:
                    type: string
                    example: Update request accepted and is being processed
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Sync not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Paragon User Token. Add to the Authorization header of your requests.

````